Bug 243472 - graphics/rapid-photo-downloader: Update to 0.9.23
Summary: graphics/rapid-photo-downloader: Update to 0.9.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-20 18:59 UTC by m.ne
Modified: 2020-05-03 07:16 UTC (History)
1 user (show)

See Also:


Attachments
Patch for graphics/rapid-photo-downloader to 0.9.18 (910 bytes, patch)
2020-01-20 18:59 UTC, m.ne
no flags Details | Diff
Patch for graphics/rapid-photo-downloader to 0.9.19 beta1 (1.14 KB, patch)
2020-02-03 02:09 UTC, m.ne
no flags Details | Diff
Patch for graphics/rapid-photo-downloader to 0.9.23 (10.64 KB, patch)
2020-04-20 10:53 UTC, m.ne
no flags Details | Diff
Patch for graphics/rapid-photo-downloader to 0.9.23 (11.37 KB, patch)
2020-04-20 20:06 UTC, m.ne
no flags Details | Diff
Patch log (3.24 KB, text/plain)
2020-05-01 11:48 UTC, Hiroki Tagato
no flags Details
Patch for graphics/rapid-photo-downloader to 0.9.23 (11.41 KB, patch)
2020-05-01 15:12 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2020-01-20 18:59:36 UTC
Created attachment 210902 [details]
Patch for graphics/rapid-photo-downloader to 0.9.18

Update graphics/rapid-photo-downloader to 0.9.18

Changelog: https://launchpadlibrarian.net/460505056/CHANGES.rst
Comment 1 Automation User 2020-01-20 20:31:12 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/110876947
Comment 2 m.ne 2020-02-03 02:09:59 UTC
Created attachment 211310 [details]
Patch for graphics/rapid-photo-downloader to 0.9.19 beta1

Steal version handling from Porter's Handbook to cope with upstream versioning of beta releases.
Comment 3 m.ne 2020-04-20 10:53:38 UTC
Created attachment 213599 [details]
Patch for graphics/rapid-photo-downloader to 0.9.23
Comment 4 m.ne 2020-04-20 20:06:31 UTC
Created attachment 213616 [details]
Patch for graphics/rapid-photo-downloader to 0.9.23

svn add new patch
Comment 5 m.ne 2020-04-20 20:12:14 UTC
Changes: https://launchpadlibrarian.net/474969649/CHANGES.rst

- new dependency on devel/py-babel
- new patch for setup.py to fix startup of the installed program
Comment 6 Hiroki Tagato freebsd_committer 2020-05-01 11:48:38 UTC
Created attachment 213990 [details]
Patch log

Hi,

Thanks for maintaining this port.

I tried to apply your patch and it did not seem to apply cleanly. Three files
- patch-raphodo_rapid.py
- patch-raphodo_storage.py
- patch-raphodo_utilities.py
had rejection.

Can you look into this?
Comment 7 m.ne 2020-05-01 15:12:32 UTC
Created attachment 214001 [details]
Patch for graphics/rapid-photo-downloader to 0.9.23
Comment 8 m.ne 2020-05-01 15:15:42 UTC
(In reply to Hiroki Tagato from comment #6)
Somehow some spaces got mangled in those patch files. I have run make makepatch again. Could you try with the replaced patch again?
Comment 9 commit-hook freebsd_committer 2020-05-03 07:15:51 UTC
A commit references this bug:

Author: tagattie
Date: Sun May  3 07:14:54 UTC 2020
New revision: 533752
URL: https://svnweb.freebsd.org/changeset/ports/533752

Log:
  Update to 0.9.23

  PR:		243472
  Submitted by:	m.ne@gmx.net (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://launchpadlibrarian.net/474969649/CHANGES.rst

Changes:
  head/graphics/rapid-photo-downloader/Makefile
  head/graphics/rapid-photo-downloader/distinfo
  head/graphics/rapid-photo-downloader/files/patch-raphodo_rapid.py
  head/graphics/rapid-photo-downloader/files/patch-raphodo_storage.py
  head/graphics/rapid-photo-downloader/files/patch-raphodo_utilities.py
  head/graphics/rapid-photo-downloader/files/patch-setup.py
Comment 10 Hiroki Tagato freebsd_committer 2020-05-03 07:16:53 UTC
Committed, thanks!